import { Container, Row, Col } from "react-bootstrap";

import type { Category } from "../store/cluesSlice";

interface Props {
  categories: Category[];
}

const Gameboard = ({ categories }: Props) => {
  return (
    <Container fluid>
      <Row>
        {categories.map(({ name }) => (
          <Col key={name}>{name}</Col>
        ))}
      </Row>
    </Container>
  );
};

export default Gameboard;
